function fn_xado_pdiario_insertar_listar(op) {
	if($('#cbo_xdo option:selected').val()==0&&op==2){
		swal('Alerta!','Debe seleccionar un diagnóstico.','warning');
		return false;
	}
	var url 	= ruta + 'movimientos/xado/insertar_listar_cart';
	if($('#txt_id').val()>0)
		url 	= ruta + 'movimientos/xado/insertar_listar';
	$('#xado_data').DataTable().destroy();
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: url,
				data 	: {
					d1 	: $('#txt_id').val(),
					d2 	: $('#cbo_xdo option:selected').val(),
					d3 	: $('#cbo_xdo option:selected').text()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xado_data tbody').html(data[0]);
					$('#xado_data').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 435) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    		            	"url" 			: ruta + 'json/Spanish.json'
    		            }
					});
					$('#cbo_xdo').val(0).change();
					swal.close();
				}
			});
		}
	});
}

/*function fn_xado_pdiario_listar() {
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.ajax({
				url 	: url,
				data 	: {
					d1 	: $('#txt_id').val()
				},
				type 	: 'post',
				dataType: 'json',
				success : function (data) {
					$('#xado_data').DataTable().destroy();
					$('#xado_data tbody').html(data[0]);
					$('#xado_data').DataTable({
    		            "searching"     : false,
    		            "scrollY"       : ($(window).height() - 435) + "px",
    		            "scrollCollapse": true,
    		            "paging"        : false,
    		            "language"		: {
    		            	"url" 			: ruta + 'json/Spanish.json'
    		            }
					});
					swal.close();
				}
			});
		}
	});
}

function fn_xado_insertar() {
	if($('#cbo_xdo option:selected').val()==0){
		swal('Alerta!','Debe seleccionar un diagnóstico.','warning');
		return false;
	}
	var url 	= ruta + 'movimientos/xado/insertar_cart';
	if($('#txt_id').val()>0)
		url 	= ruta + 'movimientos/xado/insertar';
	swal({
		title 	: 'Alerta!',
		html 	: 'Cargando...',
		onOpen 	: function () {
			swal.showLoading();
			$.post(url, {
				d1 	: $('#cbo_xdo option:selected').val(),
				d2 	: $('#txt_id').val(),
				d3 	: $('#cbo_xdo option:selected').text()
			}, function (data) {
				fn_xado_pdiario_listar();
				$('#cbo_xdo').val(0).change();
				swal.close();
			});
		}
	});
}*/

function fn_xado_eliminar(d1, d2, d3) {
	var url 	= ruta + 'movimientos/xado/eliminar_cart';
	if($('#txt_id').val()>0)
		url 	= ruta + 'movimientos/xado/eliminar';
	swal({
		title 					: 'Alerta!',
		html 					: 'Diagnóstico: '+d2 + ' - ' + d3 +'<br>Desea eliminar?',
		type 					: 'question',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-trash"></span> <b>Si, Borrar!</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				$.post(url, {
					d1 	: d1
				}, function (data) {
					resolve();
				});
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal({
			title 	: 'Alerta!',
			html 	: 'Diagnóstico eliminado correctamente.',
			type 	: 'success',
			confirmButtonText 		: '<span class="glyphicon glyphicon-ok"></span> <b>Si, Grabar!</b>',
				confirmButtonClass 		: 'btn btn-primary',
				allowOutsideClick 		: false,
    		allowEscapeKey 			: false,
				buttonsStyling 			: false,
    	}).then(function () {
    		fn_xado_pdiario_insertar_listar(1);
    	});
	});
}